package com.zy.bms.common.interceptor;

import com.zy.bms.utils.CustomResponseUtil;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashSet;

/**
 * 身份验证拦截器
 * 防止第三方请求服务器
 *
 * @author chenyi
 * Create on 2019/10/10
 */
@Component
public class ChannelInterceptor extends HandlerInterceptorAdapter {
    //合法通道取值
    private final static HashSet<String> legalHeader = new HashSet<>();

    static {
        legalHeader.add("bms");
        legalHeader.add("ubi-app");
    }

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
        if (request.getMethod().equals("OPTIONS")) {
            response.setStatus(HttpServletResponse.SC_OK);
            return true;
        }
        if (legalHeader.contains(request.getHeader("channel"))) return true;
        response.setStatus(HttpServletResponse.SC_FORBIDDEN);
        return false;
    }
}
